Skip to content

Simulate transfer payout failure

Request

Triggers transfers#payout-failure webhook for the transfer.

The available payout failure reason codes are listed in the transfers#payout-failure webhook guide.

  • Simulation requires transfer to be in bounced_back state.
  • While payout failure simulation call will respond with 200 in real time, the payout failure webhook is asynchronous.

Request body is optional; omit it or send {} to trigger a random failure reason.

Security
UserToken
Path
transferIdinteger, (int64)required

The ID of the transfer to simulate.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/json
failure_reason_codestring

Failure reason code to trigger for payout failure. When not provided, a failure code is selected at random and returned.

curl -i -X POST \
  'https://api.wise.com/v1/simulation/transfers/{transferId}/payout-failure' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{}'

Responses

Successful initiation of payout failure.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
Response
{ "failure_reason_code": "WRONG_ID_NUMBER", "failure_description": "Invalid recipient's ID document number", "occurred_at": "2023-08-10T10:17:23.123Z" }